package controller

import (
	"github.com/rs/zerolog"
	"netidhub-saas-be/app/module/article_nulis_ai/service"
)

type Controller struct {
	ArticleNulisAI ArticleNulisAIController
}

func NewController(ArticleNulisAIService service.ArticleNulisAIService, log zerolog.Logger) *Controller {
	return &Controller{
		ArticleNulisAI: NewArticleNulisAIController(ArticleNulisAIService, log),
	}
}
